<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ColourValue Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#854058a76927880ae345ac1c465f9713">a</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#ae078d77b654f76e3b760174f93474ec">b</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#7f8a06f2a9dd645417c36b560f496c1a">Black</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#67ef25ecd0fa97e7e51e5bd87b29ae65">Blue</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#cc033c4828ad9f7469269933d24850f5">ColourValue</a>(float red=1.0f, float green=1.0f, float blue=1.0f, float alpha=1.0f)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#13fbd050af26b8bd549ccb46aa699e07">g</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#62fb19e5654fcc8da7c4416c20b641ce">getAsABGR</a>(void) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#4ccbd02b929bfa595445848e71507d82">getAsARGB</a>(void) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#8ad894332efb965decfcf3cf52049c8b">getAsBGRA</a>(void) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#57f7d1f049460f32a47ce9994a6e8921">getAsRGBA</a>(void) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#00384a789ac354ea8dd252c62cb17aa4">Green</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#d9ed9e866b4a32512aeb019ebc905a09">operator *</a>(const float fScalar) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#0094b02a58768d0657e5ff7fee5aa6d1">operator *</a>(const ColourValue &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#e017d2f69fb883694b0198c805352fb9">operator *</a>(const float fScalar, const ColourValue &amp;rkVector)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#5b88ee5903d59c1073460987a88c2773">operator *=</a>(const float fScalar)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#d89235b7111c0b8158516126feac734e">operator!=</a>(const ColourValue &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#ba3d75622d5063ff08e5add5674a1914">operator+</a>(const ColourValue &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#8da50314432c59dee0aa3e6a72183e34">operator+=</a>(const ColourValue &amp;rkVector)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#16eb12d0c1eed21daae1553e6f200c01">operator-</a>(const ColourValue &amp;rkVector) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#bbc9a8f5cc1c054eb5b4633d6b0b2262">operator-=</a>(const ColourValue &amp;rkVector)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#80871b6a2fe6b35f99e13d43e05aac0b">operator/</a>(const ColourValue &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#abe2f2e8307d487db930775de63c03e9">operator/</a>(const float fScalar) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#3d17eedbff96cef8dbd4414183e15cb3">operator/=</a>(const float fScalar)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#6e2f40ea1d31e17f5c45d457e0ab4b2d">operator&lt;&lt;</a>(std::ostream &amp;o, const ColourValue &amp;c)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#6b32525e447b9ed0a5e1052fd62ceb2e">operator==</a>(const ColourValue &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#8a5e5d15068037cd9c3e3a13dd45b267">operator[]</a>(const size_t i) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#f3579c76f3cd365ac54454be6a3f6f89">operator[]</a>(const size_t i)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#5dde8a74df3cbfd55cb0e5ca90aafafe">ptr</a>()</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#b081bc456d9b15bc3b0d3c8c4869cfad">ptr</a>() const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#6e086633637e335238d517e0ec9f2cd2">r</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#b9c2a36f53ac599850f1cf8b822f750d">Red</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#21875c1d92c3ad0cba9cafd5776f42a0">saturate</a>(void)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#2444beae59d41b61e71f45cc396ad34f">saturateCopy</a>(void) const </td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#1089fa2eef113691b4f92a21c64103ce">setAsABGR</a>(const ABGR val)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#3d98d425442b7a6eda9016dd6e46abec">setAsARGB</a>(const ARGB val)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#fceb18ee8660573973f6a430e75f73c0">setAsBGRA</a>(const BGRA val)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#0772677c217e45f2be90f187f5aaac9a">setAsRGBA</a>(const RGBA val)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#35b3e77e76f7584bdf83c9a3b1c7c1dc">setHSB</a>(Real hue, Real saturation, Real brightness)</td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#8eba66b2908f44f00f8d9c9ec25877de">White</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ColourValue.html#bc5d5f80d4d99438863cc808169283b5">ZERO</a></td><td><a class="el" href="classOgre_1_1ColourValue.html">Ogre::ColourValue</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:20 2008
</p>
</body>
</html>
